version: '3'
services:
  maria-db-opigno:
    image: mariadb
    container_name: maria-db-opigno
    volumes:
      - ./db_data_volume:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: rootopigno
      MYSQL_DATABASE: opigno-drupal
      MYSQL_USER: opigno-drupal
      MYSQL_PASSWORD: opigno-drupal
  drupal-opigno:
    depends_on:
      - maria-db-opigno
    build:
      context: .
      dockerfile: Dockerfile.local
    ports:
      - "80:80"
      - "2443:443"
    volumes:
      - ./:/var/www/html
    restart: always
    environment:
      WORK_ENVIRONMENT: local
      PHPRC: /opt/drupal/web/web/php.ini
volumes:
  db_data_volume:
